package com.kingdee.eas.custom.log;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSyncLogInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractSyncLogInfo()
    {
        this("id");
    }
    protected AbstractSyncLogInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:同步事务日志's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:同步事务日志's 同步实体property 
     */
    public com.kingdee.eas.custom.log.app.SyncEntityNameEnum getEntityName()
    {
        return com.kingdee.eas.custom.log.app.SyncEntityNameEnum.getEnum(getString("entityName"));
    }
    public void setEntityName(com.kingdee.eas.custom.log.app.SyncEntityNameEnum item)
    {
		if (item != null) {
        setString("entityName", item.getValue());
		}
    }
    /**
     * Object:同步事务日志's 数据流向property 
     */
    public com.kingdee.eas.custom.log.app.DataDirectionEnum getDataDirection()
    {
        return com.kingdee.eas.custom.log.app.DataDirectionEnum.getEnum(getString("dataDirection"));
    }
    public void setDataDirection(com.kingdee.eas.custom.log.app.DataDirectionEnum item)
    {
		if (item != null) {
        setString("dataDirection", item.getValue());
		}
    }
    /**
     * Object:同步事务日志's 对接系统property 
     */
    public com.kingdee.eas.custom.log.app.DockingSystemEnum getDockingSystem()
    {
        return com.kingdee.eas.custom.log.app.DockingSystemEnum.getEnum(getString("dockingSystem"));
    }
    public void setDockingSystem(com.kingdee.eas.custom.log.app.DockingSystemEnum item)
    {
		if (item != null) {
        setString("dockingSystem", item.getValue());
		}
    }
    /**
     * Object:同步事务日志's 同步状态property 
     */
    public com.kingdee.eas.custom.log.app.SyncStatusEnum getSyncStatus()
    {
        return com.kingdee.eas.custom.log.app.SyncStatusEnum.getEnum(getString("syncStatus"));
    }
    public void setSyncStatus(com.kingdee.eas.custom.log.app.SyncStatusEnum item)
    {
		if (item != null) {
        setString("syncStatus", item.getValue());
		}
    }
    /**
     * Object:同步事务日志's 同步结果property 
     */
    public String getSyncResult()
    {
        return getString("syncResult");
    }
    public void setSyncResult(String item)
    {
        setString("syncResult", item);
    }
    /**
     * Object:同步事务日志's 同步时间property 
     */
    public java.sql.Time getSynctime()
    {
        return getTime("synctime");
    }
    public void setSynctime(java.sql.Time item)
    {
        setTime("synctime", item);
    }
    /**
     * Object:同步事务日志's 同步总条数property 
     */
    public int getSyncCount()
    {
        return getInt("syncCount");
    }
    public void setSyncCount(int item)
    {
        setInt("syncCount", item);
    }
    /**
     * Object:同步事务日志's 成功条数property 
     */
    public int getSuccessNum()
    {
        return getInt("successNum");
    }
    public void setSuccessNum(int item)
    {
        setInt("successNum", item);
    }
    /**
     * Object:同步事务日志's 失败条数property 
     */
    public int getFailNum()
    {
        return getInt("failNum");
    }
    public void setFailNum(int item)
    {
        setInt("failNum", item);
    }
    /**
     * Object:同步事务日志's 请求参数property 
     */
    public String getRequestParams()
    {
        return getString("requestParams");
    }
    public void setRequestParams(String item)
    {
        setString("requestParams", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("95A0551A");
    }
}